> For the complete documentation index, see [llms.txt](https://docs.decentraland.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.decentraland.org/contributor/contributor-zh/nei-rong/shi-ti-lei-xing/emotes.md).

# 表情动作

表情动作是 [实体](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md) 用于承载玩家头像动画的

它们包含适用于不同身体形状的 GLB 格式文件。

### 指针 <a href="#pointers" id="pointers"></a>

每个表情动作都恰好关联一个 [指针](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md)，它指明它们所属的集合及其在集合中的索引。其 URN 形式如下：

```
urn:decentraland:matic:collections-v2:<collection address>:<item index>
```

例如， `指针` 一个表情动作的数组如下：

```json
{
  "pointers": [
    "urn:decentraland:matic:collections-v2:0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5:0"
  ],
  // ... 其他实体属性
}
```

### 元数据字段

表情动作与其大部分基本字段共享于 [可穿戴物品](https://github.com/decentraland/docs/tree/main/contributor/entity-types/wearables/README.md)。 `emoteDataADR74` 属性中存放表情动作特定信息。

| 字段                  | 值                                                                                                                      |
| ------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| `id`                | 该 [指针](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md) 解析到（或曾解析到）此表情动作的。                |
| `name`              | 此表情动作在某个集合中的显示标题 [collection](https://github.com/decentraland/docs/tree/main/contributor/collections/README.md).       |
| `description`       | 此表情动作的扩展描述。                                                                                                            |
| `图片`                | 该 [内部文件名](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) 包含此表情动作图片的              |
| `缩略图`               | 该 [内部文件名](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) 用于该项的 256x256 版本的 `图片`. |
| `稀有度`               | 以下之一 `普通`, `罕见`, `稀有`, `史诗`, `传奇`, `珍奇`, `神话` 或 `独特`.                                                                  |
| `i18n`              | 针对该 `name` 字段的翻译数组。                                                                                                    |
| `collectionAddress` | 包含此表情动作的集合的以太坊地址。                                                                                                      |
| `指标`                | 关于动画的一些有用测量值（见下文）。                                                                                                     |
| `emoteDataADR74`    | 此表情动作的扩展元数据，定义于 [ADR-74](https://adr.decentraland.org/adr/ADR-74) （见下文）。                                               |

典型的 JSON 如下所示：

```json
{
  "id": "urn:decentraland:matic:collections-v2:0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5:0",
  "name": "有趣的舞蹈",
  "description": "像高手一样四处移动",
  "image": "image.png",
  "thumbnail": "thumbnail.png",
  "rarity": "稀有",
  "i18n": [
    { "code": "es", "text": "有趣舞蹈" }
  ],
  "collectionAddress": "0x2d9560df9dd8ba8b2dc3746bc1d217698d258fb5",
  "metrics": {
    // 测量对象（见下文）。
  },
  "emoteDataADR74": {
    // 在 ADR-74 中定义的扩展元数据（见下文）。
  }
}
```

### 指标

在 `metadata.metrics` 对象中，你会找到此表情动作所包含动画的一些简单测量值。示例如下：

```json
{
  "triangles": 0,
  "materials": 0,
  "textures": 0,
  "meshes": 0,
  "bodies": 0,
  "entities": 1
}
```

### 表情动作数据 ADR-74

此对象包含 World Explorers（或其他图形应用）使用此表情动作为模型制作动画所需的字段。

| 字段     | 值                                                     |
| ------ | ----------------------------------------------------- |
| `类别`   | 以下之一 `舞蹈`, `特技`, `问候`, `趣味`, `姿势`, `反应`, `恐怖` 或 `杂项`. |
| `表现形式` | 与不同身体形状关联的动画文件数组。                                     |
| `tags` | 描述此表情动作的字符串标签数组。                                      |
| `循环`   | `true` 指示动画在结束后是否重复播放。                                |

为便于说明，以下是一些 JSON：

```json
{
  "category": "舞蹈",
  "representations": [
    // 不同身体形状的动画信息（见下文）。
  ],
  "tags": [ "狂欢节", "舞蹈" ],
  "loop": true
}
```

#### 表现形式

其中每一项都在 `metadata.emoteDataADR74.representations` 字段中定义了适用于每种身体形状的动画文件。

| 字段     | 值                                                                                                           |
| ------ | ----------------------------------------------------------------------------------------------------------- |
| `身体形状` | 适用身体形状的数组 [指针](https://github.com/decentraland/docs/tree/main/contributor/pointers/README.md).              |
| `主文件`  | 该 [内部文件名](https://github.com/decentraland/docs/tree/main/contributor/entities/README.md#files) ，用于主 GLB 文件。 |
| `内容`   | 所有文件，包括 `主文件` 以及它可以引用的任何附加文件。                                                                               |

例如，一个 `表现形式` 项：

```json
{
  "bodyShapes": [ "urn:decentraland:off-chain:base-avatars:BaseMale" ],
  "mainFile": "male/funnydance.glb",
  "contents": [
    "male/funnydance.glb"
  ]
}
```

你通常会找到两个表现形式条目，一个用于 `BaseMale` ，另一个用于 `BaseFemale`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.decentraland.org/contributor/contributor-zh/nei-rong/shi-ti-lei-xing/emotes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
